#Effects
effect clear @s[tag=kazzxv.used_relic1] levitation
effect give @s levitation 60 255 false

#Particles and Sounds
execute if entity @s[tag=!kazzxv.used_relic2] run particle minecraft:scrape ~ ~ ~ 0.5 0.75 0.5 0 25 force
execute if entity @s[tag=!kazzxv.used_relic2] run particle minecraft:glow ~ ~ ~ 0 0 0 0.4 25 force
execute if entity @s[tag=!kazzxv.used_relic2] run playsound minecraft:block.amethyst_block.chime master @a ~ ~ ~ 1 1

#Message in Action Bar
execute if entity @s[tag=kazzxv.used_relic1] run title @s actionbar [{"text":"Blessed Staff","color":"gold","bold":false},{"text":" - ","color":"yellow","bold":false},{"text":"Levitate in Midair","color":"aqua","bold":false}]

#Tags user so it won't constantly show Particles and play Sounds
tag @s[tag=!kazzxv.used_relic2] add kazzxv.used_relic2
tag @s[tag=kazzxv.used_relic1] remove kazzxv.used_relic1

#Experience Point Drain
  #Get XP - Before
execute store result score @s kazzxv.xp_points run xp query @s points
execute store result score @s kazzxv.xp_level run xp query @s levels

  #Reduce XP
execute if predicate kazzmon.extravanilla:20_percent run xp add @s -1 points
execute if predicate kazzmon.extravanilla:20_percent run xp add @s -1 points
execute if predicate kazzmon.extravanilla:15_percent if entity @s[scores={kazzxv.xp_level=20..}] run xp add @s -1 points
execute if predicate kazzmon.extravanilla:10_percent if entity @s[scores={kazzxv.xp_level=30..}] run xp add @s -1 points
execute if predicate kazzmon.extravanilla:5_percent if entity @s[scores={kazzxv.xp_level=40..}] run xp add @s -1 points

  #Get XP - After
execute store result score @s kazzxv.xp_points run xp query @s points
execute store result score @s kazzxv.xp_level run xp query @s levels

  #Change Mode if there are no more XP
execute if entity @s[scores={kazzxv.xp_points=0,kazzxv.xp_level=0}] run scoreboard players add @s kazzxv.relic_mode 1