#Scoreboard
scoreboard players add @s kazzxv.charge 15
scoreboard players set @s kazzxv.use_wp_custom 0
scoreboard players reset #kazzxv.wp8_distance kazzxv.raycast

#Tags User
tag @s[tag=!kazzxv.wp8_user] add kazzxv.wp8_user

#Set Weapon Mode
execute if score @s kazzxv.wp_id_off matches 8 run scoreboard players set @s kazzxv.wp_mode 2
execute if score @s kazzxv.wp_id_main matches 8 run scoreboard players set @s kazzxv.wp_mode 1

#Attack when Fully Charged in Mainhand
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 at @s run tag @s add kazzxv.wp8_raycaster
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 at @s run scoreboard players set #kazzxv.wp8_distance kazzxv.raycast 0
execute anchored eyes positioned ^ ^ ^ if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 run function kazzmon.extravanilla:weapons/conduit_buster/ray

#Attack when Fully Charged in Offhand
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 at @s run tag @s add kazzxv.wp8_raycaster
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 at @s run function kazzmon.extravanilla:weapons/conduit_buster/area_effect

#Recoil Damage and Debuff
execute if score @s kazzxv.charge matches ..159 at @s run effect give @s slowness 1 4 true
execute if score @s kazzxv.charge matches 160.. at @s run effect give @s instant_damage 1 0 true
execute if score @s kazzxv.charge matches 160.. at @s run effect give @s slowness 3 9 true
execute if score @s kazzxv.charge matches 160.. at @s run effect give @s jump_boost 3 128 true

#Sound Effects
  #First Charge
execute if score @s kazzxv.charge matches 40.. if entity @s[tag=!kazzxv.wp8_charge1] at @s run playsound minecraft:block.respawn_anchor.charge master @a ~ ~ ~ 1 1.4
execute if score @s kazzxv.charge matches 40.. if entity @s[tag=!kazzxv.wp8_charge1] at @s run playsound minecraft:entity.arrow.hit_player master @a ~ ~ ~ 0.5 0.6
execute if score @s kazzxv.charge matches 40.. if entity @s[tag=!kazzxv.wp8_charge1] at @s run playsound minecraft:block.amethyst_block.step master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 40.. if entity @s[tag=!kazzxv.wp8_charge1] at @s run tag @s add kazzxv.wp8_charge1

  #Second Charge
execute if score @s kazzxv.charge matches 80.. if entity @s[tag=!kazzxv.wp8_charge2] at @s run playsound minecraft:block.respawn_anchor.charge master @a ~ ~ ~ 1 1.4
execute if score @s kazzxv.charge matches 80.. if entity @s[tag=!kazzxv.wp8_charge2] at @s run playsound minecraft:entity.arrow.hit_player master @a ~ ~ ~ 0.5 0.6
execute if score @s kazzxv.charge matches 80.. if entity @s[tag=!kazzxv.wp8_charge2] at @s run playsound minecraft:block.beacon.activate master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 80.. if entity @s[tag=!kazzxv.wp8_charge2] at @s run playsound minecraft:block.amethyst_block.step master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 80.. if entity @s[tag=!kazzxv.wp8_charge2] at @s run tag @s add kazzxv.wp8_charge2

  #Third Charge
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run playsound minecraft:block.respawn_anchor.charge master @a ~ ~ ~ 1 1.4
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run playsound minecraft:entity.arrow.hit_player master @a ~ ~ ~ 0.5 0.6
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run playsound minecraft:block.beacon.activate master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run playsound minecraft:block.beacon.power_select master @a ~ ~ ~ 1 1.6
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run playsound minecraft:block.amethyst_block.step master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 120.. if entity @s[tag=!kazzxv.wp8_charge3] at @s run tag @s add kazzxv.wp8_charge3

  #Near Full Charge
execute if score @s kazzxv.charge matches 135.. if entity @s[tag=!kazzxv.wp8_charge3_7] at @s run playsound minecraft:block.bell.resonate master @a ~ ~ ~ 1 2
execute if score @s kazzxv.charge matches 135.. if entity @s[tag=!kazzxv.wp8_charge3_7] at @s run tag @s add kazzxv.wp8_charge3_7

  #Full Charge
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:item.totem.use master @a ~ ~ ~ 3 1.6
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:entity.wither.shoot master @a ~ ~ ~ 3 0.5
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:item.trident.riptide_3 master @a ~ ~ ~ 3 0.6
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:item.trident.thunder master @a ~ ~ ~ 3 0.8
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:block.conduit.deactivate master @a ~ ~ ~ 3 1
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:block.conduit.attack.target master @a ~ ~ ~ 3 0.5
execute if score @s kazzxv.charge matches 160.. if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:item.trident.riptide_1 master @a ~ ~ ~ 3 0.7
execute if score @s kazzxv.charge matches 160.. if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:block.water.ambient master @a ~ ~ ~ 3 1.6
execute if score @s kazzxv.charge matches 160.. if entity @s[tag=!kazzxv.wp8_charge4] at @s run playsound minecraft:block.beacon.deactivate master @a ~ ~ ~ 3 0.6
execute if score @s kazzxv.charge matches 160.. if entity @s[tag=!kazzxv.wp8_charge4] at @s run tag @s add kazzxv.wp8_charge4

#Particle Effects
particle minecraft:nautilus ~ ~1 ~ 0.5 0.5 0.5 1 1 force
execute if score @s kazzxv.charge matches 40.. run particle minecraft:nautilus ~ ~1 ~ 0.5 0.5 0.5 1 2 force
execute if score @s kazzxv.charge matches 40.. run particle minecraft:dust 0.1843137254901961 0.6666666666666666 0.9882352941176471 1 ~ ~1 ~ 0.7 0.7 0.7 0.4 1 force
execute if score @s kazzxv.charge matches 80.. run particle minecraft:nautilus ~ ~1 ~ 0.5 0.5 0.5 1 2 force
execute if score @s kazzxv.charge matches 80.. run particle minecraft:dust 0.12156862745098039 0.42745098039215684 1 2 ~ ~1 ~ 1 1 1 0.1 1 force
execute if score @s kazzxv.charge matches 120.. run particle minecraft:nautilus ~ ~1 ~ 0.5 0.5 0.5 1 2 force
execute if score @s kazzxv.charge matches 120.. run particle minecraft:end_rod ~ ~1 ~ 0.6 0.6 0.6 0.04 2 force
execute if score @s kazzxv.charge matches 160.. run particle minecraft:nautilus ~ ~1 ~ 0.5 0.5 0.5 1 2 force
execute if score @s kazzxv.charge matches 160.. run particle minecraft:totem_of_undying ~ ~1 ~ 0 0 0 0.8 50 force

#Removes Tags
execute if score @s kazzxv.charge matches 160.. run tag @s remove kazzxv.wp8_charge1
execute if score @s kazzxv.charge matches 160.. run tag @s remove kazzxv.wp8_charge2
execute if score @s kazzxv.charge matches 160.. run tag @s remove kazzxv.wp8_charge3
execute if score @s kazzxv.charge matches 160.. run tag @s remove kazzxv.wp8_charge3_7
execute if score @s kazzxv.charge matches 160.. run tag @s remove kazzxv.wp8_charge4
tag @s remove kazzxv.wp8_raycaster
tag @e remove kazzxv.hit_wp8

#Durability Break
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 1 unless entity @s[gamemode=creative] run function kazzmon.extravanilla:technical/item/durability/mainhand/50_uses
execute if score @s kazzxv.charge matches 160.. if score @s kazzxv.wp_mode matches 2 unless entity @s[gamemode=creative] run function kazzmon.extravanilla:technical/item/durability/offhand/50_uses

execute if score @s kazzxv.wp_id_main matches 8 if data entity @s SelectedItem.tag{Damage:100} run function kazzmon.extravanilla:weapons/conduit_buster/break_mainhand
execute if score @s kazzxv.wp_id_off matches 8 if data entity @s Inventory[{Slot:-106b}].tag{Damage:100} run function kazzmon.extravanilla:weapons/conduit_buster/break_offhand

#Resets Charge
execute if score @s kazzxv.charge matches 160.. run scoreboard players set @s kazzxv.charge -150

#Drain XP
execute if entity @s[gamemode=!creative] run scoreboard players add @s kazzxv.xp_drain_point 1