#Tags Player
tag @s add kazzxv.wp18_raycaster
tag @s add kazzxv.wp18_user

#Skill Cooldown
scoreboard players set @s kazzxv.wp_mode6 1
scoreboard players set @s[gamemode=!creative] kazzxv.skill_cd 9
scoreboard players set @s[gamemode=!creative,predicate=kazzmon.extravanilla:is_sneaking] kazzxv.skill_cd 5

#Skill
  #Poison Cloud Attack
execute if score @s kazzxv.wp_lvl2 matches 0..25 as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..5,sort=nearest,limit=1] at @s anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/xenoblade/attack/poison_cloud/level_1
execute if score @s kazzxv.wp_lvl2 matches 26..55 as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..6,sort=nearest,limit=2] at @s anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/xenoblade/attack/poison_cloud/level_2
execute if score @s kazzxv.wp_lvl2 matches 56..90 as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..7,sort=nearest,limit=3] at @s anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/xenoblade/attack/poison_cloud/level_3
execute if score @s kazzxv.wp_lvl2 matches 91..130 as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..8,sort=nearest,limit=4] at @s anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/xenoblade/attack/poison_cloud/level_4
execute if score @s kazzxv.wp_lvl2 matches 131.. as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..9,sort=nearest,limit=5] at @s anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/xenoblade/attack/poison_cloud/level_5

  #Circular Toxic Beam Attack
function kazzmon.extravanilla:weapons/xenoblade/attack/toxic_beam/circular_attack

  #Teleports User - Cancelled by Sneaking
scoreboard players set wp18_distance kazzxv.raycast 0
execute unless entity @s[predicate=kazzmon.extravanilla:is_sneaking] anchored eyes positioned ^ ^ ^ rotated ~ ~ run function kazzmon.extravanilla:weapons/xenoblade/skill/teleport_ray

  #Evoker Fangs Attack - Activated by Sneaking
execute if entity @s[predicate=kazzmon.extravanilla:is_sneaking] as @e[tag=!kazzxv.wp18_raycaster, type=#kazzmon.extravanilla:mobs_enemies, distance=..12, sort=nearest, limit=20] at @s run summon evoker_fangs ~ ~ ~ {Tags:["kazzxv.summoned"]}

  #Large Poison Cloud - Activated by Sneaking
execute if entity @s[predicate=kazzmon.extravanilla:is_sneaking] at @s run summon minecraft:area_effect_cloud ~ ~ ~ {Tags:["kazzxv.wp18_atk"],Silent:1b,Invulnerable:1b,Particle:"entity_effect",Color:3340890,ReapplicationDelay:10,Radius:12f,RadiusPerTick:-0.075f,Duration:160,effects:[{id:"minecraft:poison",amplifier:4,duration:480}]}

  #Sets the Owner of Poison Cloud to User's UUID
execute as @e[type=area_effect_cloud,distance=..9,tag=kazzxv.wp18_atk,tag=!kazzxv.wp18_atk_primed] at @s run data modify entity @s Owner set from entity @p[tag=kazzxv.wp18_raycaster] UUID

  #Setup Scoreboard for Poison Clouds
execute as @e[type=area_effect_cloud,distance=..9,tag=kazzxv.wp18_atk,tag=!kazzxv.wp18_atk_primed] at @s run scoreboard players set @s kazzxv.airtime 25
execute as @e[type=area_effect_cloud,distance=..9,tag=kazzxv.wp18_atk,tag=!kazzxv.wp18_atk_primed] at @s run tag @s add kazzxv.wp18_atk_primed

#Adjusts Cooldown
execute if entity @s[tag=kazzxv.wp18_warned] run scoreboard players remove @s[gamemode=!creative] kazzxv.skill_cd 3

#Sounds
playsound minecraft:block.portal.travel master @a ~ ~ ~ 0.2 1.8
playsound minecraft:entity.slime.death master @a ~ ~ ~ 1 0.1
playsound minecraft:entity.slime.death master @a ~ ~ ~ 1 0.3
playsound minecraft:entity.slime.death master @a ~ ~ ~ 1 0.5
playsound minecraft:entity.slime.death master @a ~ ~ ~ 1 1
playsound minecraft:entity.evoker.cast_spell master @a ~ ~ ~ 1 1
playsound minecraft:entity.evoker.cast_spell master @a ~ ~ ~ 1 0.7

#Particle
particle minecraft:totem_of_undying ~ ~ ~ 0 0 0 1 50 force

#Removes Tags for Players and Hit Entities
tag @s remove kazzxv.wp18_raycaster
tag @s remove kazzxv.wp18_teleported
tag @s remove kazzxv.wp18_warned

#Drain XP
execute if entity @s[gamemode=!creative] run scoreboard players add @s kazzxv.xp_drain_point 25
execute if entity @s[gamemode=!creative] run scoreboard players add @s kazzxv.xp_drain_multi 2